Skip to main content
GET
/
reminder-status
Get reminder status
curl --request GET \
  --url https://app.azalt.co/api/v1/reminder-status \
  --header 'Authorization: Bearer <token>'
{
  "recipients": [
    {
      "userId": "<string>",
      "email": "<string>",
      "userName": "<string>",
      "role": "COLLECTOR",
      "tasks": [
        {
          "formId": "<string>",
          "formName": "<string>",
          "siteId": "<string>",
          "siteName": "<string>",
          "year": 123,
          "frequency": "MONTHLY",
          "dataEntry": {
            "remaining": 123,
            "total": 123,
            "overdue": 123,
            "pendingToDate": 123
          },
          "dueDate": "<string>",
          "isOverdue": true,
          "approval": {
            "remaining": 123,
            "total": 123,
            "overdue": 123,
            "pendingToDate": 123
          }
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

userConcurrency
integer
Required range: 1 <= x <= 10

Response

Successful response

recipients
object[]
required